
n <- 20
pts <- rbind(matrix(ncol=2, runif(2 * n, 0, 1)),
             c(0.3, 0.5),
             c(0.7, 0.1),
             c(0.4, 0.8))

par(mar=c(0,0,0,0))
plot(Inf, Inf, xlim=c(0,1), ylim=c(0,1), axes=FALSE, frame=FALSE,
     xlab="", ylab="")
abline(1,-1)
abline(0.8,-1, lty=3)
abline(1.2,-1, lty=3)
eps <- 1e-14             
greater <- pts[,2] >= 1.2 - pts[,1] - eps
smaller <- pts[,2] <= 0.8 - pts[,1] + eps
points(pts[greater, 1], pts[greater, 2], pch=16, cex=2.5)
points(pts[smaller, 1], pts[smaller, 2], pch=1, cex=2)

arrows(0.5, 0.5, 0, 0)
points(0,0, pch="0", cex=2)
text(0.2, 0.1, labels=expression(frac(-b, abs(abs(w)))), cex=2.5)

arrows(0.8, 0, 1, 0.2)
arrows(1, 0.2, 0.8, 0)
text(0.9, 0.03, labels=expression(d["+"]), cex=2.5)
text(0.97, 0.1, labels=expression(d["-"]), cex=2.5)

arrows(0.6, 0.4, 0.8, 0.6)
text(0.78, 0.52, labels="w", cex=2.5)

dev.copy2pdf(file="svmAnsatz.pdf")
